Package com.usatiuk.dhfs.jmap

# Class JMapHolderRefcounterTxHook

java.lang.Object
com.usatiuk.dhfs.jmap.JMapHolderRefcounterTxHook

All Implemented Interfaces:
  `PreCommitTxHook`

@Singleton public class JMapHolderRefcounterTxHook extends Object implements PreCommitTxHook

## Constructor Summary

Constructors
Constructor
Description
`JMapHolderRefcounterTxHook()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onDelete(JObjectKey key, JData cur)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.usatiuk.objects.transaction.PreCommitTxHook

`getPriority, onChange, onCreate`

## Constructor Details

### JMapHolderRefcounterTxHook

public JMapHolderRefcounterTxHook()

## Method Details

### onDelete

public void onDelete(JObjectKey key, JData cur)

Specified by:
  `onDelete` in interface `PreCommitTxHook`